LOCALSEARCH-SEARCH(1)

NAME
localsearch-search - Search for content by type or across all types

SYNOPSIS

localsearch search [options...] [resource-type] <search-terms>

DESCRIPTION

localsearch search searches all indexed content for the given search terms. Results are returned in ascending order.

<search-terms>
    One or more words to search for. When multiple terms are provided, the default operation is a logical AND. For logical OR operations, see -r.

    If no search terms are supplied but a resource-type is given (like --folders for example), then ALL items in that category are returned.

Only resources which currently exist will be returned by this command (see --all for more information).

RESOURCE TYPES

-f, --files
    Search for files of any type matching search-terms.

-s, --folders
    Search for folders matching search-terms.

-m, --music
    Search for music files matching search-terms.

--music-albums
    Search for music albums matching search-terms.

--music-artists
    Search for music artists matching search-terms.

-i, --images
    Search for images matching search-terms.

-v, --videos
    Search for videos matching search-terms.

-t, --documents
    Search for documents matching search-terms.

--software
    Search for software installed matching search-terms. Returns a list of desktop files and application titles found.

--software-categories
    Search for software categories matching search-terms. Returns a list of urns and their categories (e.g. Settings, Video, Utility, etc).

--feeds
    Search through RSS feed information matching search-terms. Returns a list of those found.

OPTIONS

-l, --limit=<limit>
    Limit search to limit results. The default is 10 or 512 with --disable-snippets.

-o, --offset=<offset>
    Offset the search results by offset. For example, start at item number 10 in the results. The default is 0.

-r, --or-operator
    Use OR for search terms instead of AND (the default)

-d, --detailed
    Show the unique URN associated with each search result. This does not apply to --music-albums and --music-artists.

-a, --all
    Show results which might not be available. This might bebecause a removable media is not mounted for example. Without this option, resources are only shown if they exist. This option applies to all resource types except for --music-artists, --software, --software-categories and --feeds.

--disable-snippets
    Results are shown with snippets. Snippets are context around the word that was searched for in the first place. This gives some idea of if the resource found is the right one. Snippets require Full Text Search to be compile time enabled AND to not be disabled with --disable-fts. Using --disable-snippets only shows the resources which matched, no context is provided about where the match occurred.

--disable-fts
    If Full Text Search (FTS) is available, this option allows it to be disabled for one off searches. This returns results slightly using particular properties to match the search terms (like "nie:title") instead of looking for the search terms amongst ALL properties. It is more limiting to do this, but sometimes searching without FTS can yield better results if the FTS ranking is off.

--disable-color
    This disables any ANSI color use on the command line. By default this is enabled to make it easier to see results.

SEE ALSO

localsearch status(1), localsearch tag(1), localsearch info(1).